跳到主要内容

查询子账号列表

描述​

查询子账号列表

请求参数​

参数名参数类型是否必填参数说明
ActionString是操作方法:ListIamUsers,此参数为公共参数,不必放body里面
PageNoInteger是分页页数,最小值为1
PageSizeInteger是分页数量,最大值为100
UserNameString否用户名

返回参数​

名称类型说明
PagePage由Page组成的数组格式,返回分页信息
ListList由List组成的数组格式,返回云手机列表信息

Page​

分页信息的数据类型

名称类型说明
PageSizeInteger页面总数
CurrentPageNoInteger当前分页数
TotalPageInteger总页数
TotalCountInteger总数

List​

名称类型说明
UserIdInteger用户id
UserNameString用户名
DisplayNameString姓名
CountryCodeString区号
MobilePhoneString手机号码,带区号
CloudPhoneGroupCountInteger授权的云手机分组数量
CloudPhoneCountString授权的云手机分组下的手机数量
GroupsInteger子用户加入的分组数量
CommentsString备注
ConsoleLoginString是否开启控制台登录:Open,Closed,默认开启
EmailString邮箱
CreateDateLong创建时间
UpdateDateLong更新时间

请求示例​

post https://api.chinac.com/v2/?Action=ListIamUsers
{
"PageNo":1,
"PageSize": 10,
"UserName": "xxxxxx"
}

返回示例​

{
"code": 10000,
"message": "",
"data": {
"Page": {
"PageSize": 10,
"CurrentPageNo": 1,
"TotalPage": 1,
"TotalCount": 3
},
"List": [{
"UserId": 1000,
"UserName": "test",
"DisplayName": "test",
"CountryCode": "86",
"MobilePhone": "+8615000000000",
"CloudPhoneCount": 1,
"CloudPhoneGroupCount": 1,
"Groups": 1,
"Comments": "test",
"ConsoleLogin": "Open",
"Email": "test@test.com",
"CreateDate": 1587467268000,
"UpdateDate": 1587467305000
}]
}
}